Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SparseArray

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.AbstractLongArray
com.tangosol.util.AbstractSparseArray
com.tangosol.util.SparseArray`

All Implemented Interfaces:
  LongArray, java.io.Serializable, java.lang.Cloneable

      public class SparseArray

extends AbstractSparseArray

A data structure resembling an Object array indexed by long values.

Author:
  mf 10.08.2007

Nested Class Summary
`protected static class` | `SparseArray.ObjectNode` Node mapping long key to Object value.

Nested classes/interfaces inherited from class com.tangosol.util.AbstractSparseArray
`AbstractSparseArray.Crawler, AbstractSparseArray.Node`

Nested classes/interfaces inherited from interface com.tangosol.util.LongArray
`LongArray.Iterator`

Field Summary

Fields inherited from class com.tangosol.util.AbstractSparseArray
`m_head, m_size`

Fields inherited from interface com.tangosol.util.LongArray
`NOT_FOUND`

Constructor Summary
`SparseArray()` Default constructor.

Method Summary
`protected AbstractSparseArray.Node` | `instantiateNode(long lKey, java.lang.Object oValue)` Factory pattern: create a new Node with the specified key and value.

Methods inherited from class com.tangosol.util.AbstractSparseArray
`adjustDoubleBalance, balancedInsertion, balancePostRemove, clear, clone, doubleRotate, exists, find, findInsertionPoint, get, getFirstIndex, getLastIndex, getSize, instantiateCrawler, iterator, iterator, print, remove, remove, replace, reverseIterator, reverseIterator, rotate, set, validate`

Methods inherited from class com.tangosol.util.AbstractLongArray
`add, contains, equals, indexOf, indexOf, isEmpty, lastIndexOf, lastIndexOf, toString`

Constructor Detail

### SparseArray

    public SparseArray()

  Default constructor.

Method Detail

### instantiateNode

    protected AbstractSparseArray.Node instantiateNode(long lKey,
                                                       java.lang.Object oValue)

  Description copied from class: `AbstractSparseArray`
  Factory pattern: create a new Node with the specified key and value.
  Specified by:
    `instantiateNode` in class `AbstractSparseArray`
  Parameters:
    `lKey` - the long key
    `oValue` - the object value
  Returns:
    the new node

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.